# 32/64bit spec-file
#
%define name projector-tool
%define version 0.1
%define release %mkrel 2


Summary:    	Tool to make projectors work with Linux.
Name:       	%{name}
Version:    	%{version}
Release:    	%{release}
Group:      	System/Configuration/Hardware
License:    	GPL
URL:        	http://projectortool.sourceforge.net/
Source0:     	http://sourceforge.net/projects/projectortool/files/%{name}-%{version}.tar.xz
Source1:        %{name}.png
BuildRoot:  	%{_tmppath}/%{name}-%{version}-root
Requires:     	python >= 2.7
Requires:       pygtk2.0
Requires:       xrandr
BuildArch:      noarch
Obsoletes: 	%name < %version

%description
A simple GUI tool to make projectors work with Linux. Includes options to 
mirror screen, or use projector as a second screen.

%prep

%setup -q 


%install
rm -rf %{buildroot}

mkdir -p %{buildroot}%{_libdir}/%{name}
cp -af *.py %{buildroot}/%{_libdir}/%{name}

#icons
mkdir -p %buildroot/{%_miconsdir,%_liconsdir,%_iconsdir}
convert  %SOURCE1 -resize 16x16 %buildroot/%{_miconsdir}/%{name}.png
convert %SOURCE1 -resize 32x32 %buildroot/%{_iconsdir}/%{name}.png
convert %SOURCE1 -resize 48x48 %buildroot/%{_liconsdir}/%{name}.png


#launcher
mkdir -p %buildroot%_bindir/
cat > %buildroot%_bindir/%{name} << EOF
#!/bin/sh
cd %_libdir/%{name}
python ProjectorTool.py
cd /
EOF

chmod a+x %{buildroot}%{_bindir}/%{name}

# menu-entry
mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Version=1.0
Encoding=UTF-8
Name=Projector Tool
GenericName=Projector Tool
Comment=Tool to make projectors work with Linux.
Exec=%{name}
Icon=%{_liconsdir}/%{name}.png
Terminal=0
Type=Application
Categories=GTK;Settings;HardwareSettings;X-MandrivaLinux-System-Configuration;
EOF


%clean
rm -rf %{buildroot}


%post
%{update_menus}


%postun
%{clean_menus}

%files
%defattr(-,root,root,0755)
%_bindir/%{name}
%_datadir/applications/%{name}.desktop
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_libdir}/%{name}/*.py

%changelog
* Fri Aug 16 2013 billybot <billybot> 0.1-2pclos2013
- update python 2.7

* Sun Feb 17 2012 Ken <lxgator@gmail.com> 0.1-1pclos2013
- first build
